package com.xingxi.master.merchant.service;

import com.xingxi.master.merchant.domain.MerchantProd;

import java.util.List;

/**
 * 店铺商品Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface IMerchantProdService {
    /**
     * 查询店铺商品
     *
     * @param mercProdId 店铺商品主键
     * @return 店铺商品
     */
    MerchantProd selectMerchantProdByMercProdId(Long mercProdId);

    /**
     * 查询店铺商品列表
     *
     * @param merchantProd 店铺商品
     * @return 店铺商品集合
     */
    List<MerchantProd> selectMerchantProdList(MerchantProd merchantProd);

    /**
     * 新增店铺商品
     *
     * @param merchantProd 店铺商品
     * @return 结果
     */
    int insertMerchantProd(MerchantProd merchantProd);

    /**
     * 新增店铺商品
     *
     * @param merchantProdList 店铺商品
     * @return 结果
     */
    int batchInsertMerchantProd(List<MerchantProd> merchantProdList);

    /**
     * 修改店铺商品
     *
     * @param merchantProd 店铺商品
     * @return 结果
     */
    int updateMerchantProd(MerchantProd merchantProd);

    /**
     * 批量删除店铺商品
     *
     * @param mercProdIds 需要删除的店铺商品主键集合
     * @return 结果
     */
    int deleteMerchantProdByMercProdIds(String mercProdIds);

    /**
     * 删除店铺商品信息
     *
     * @param mercProdId 店铺商品主键
     * @return 结果
     */
    int deleteMerchantProdByMercProdId(Long mercProdId);

    /**
     * 逻辑删除店铺商品
     *
     * @param mercProdId 店铺商品主键
     * @return 结果
     */
    int logicDeleteMerchantProdByMercProdId(Long mercProdId);

    /**
     * 逻辑批量删除店铺商品
     *
     * @param mercProdIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteMerchantProdByMercProdIds(String[] mercProdIds);

    /**
     * 逻辑批量删除店铺商品
     *
     * @param merchantProd 店铺商品
     * @return 结果
     */
    int logicDeleteMerchantProdByCondition(MerchantProd merchantProd);
}
